Attribute VB_Name = "ModuleSavedAnimations"
'This module doesn't actually do anything.  None of this code is ever run.  However, if you copy and paste
'this code into the appropriate sections in ModuleAnimation, you can create these saved animations.

Public Sub Animation01()
  '************************************************************************************************************
  '************************************************************************************************************
  'Set Animation Variables
  '************************************************************************************************************
  '************************************************************************************************************
  NumberPoints = 4
  NumberFrames = 15
  ReDim AnimationPoints(NumberPoints, 33)
  ReDim Points(NumberPoints, 9)
  
  'Define Series & Path initially - even if user accidentally changes while animation is being created, it
  'won't affect the animation.
  SeriesText = "Animation01"
  FormMain.TextSeries.Text = SeriesText
  PathText = FormMain.TextPath.Text
  
  ctr = 0
  
  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 581   'Xo
    AnimationPoints(ctr, 2) = 224   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 0     'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 227   'Mag Baseline
    AnimationPoints(ctr, 7) = 0     'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 152  'Mag Baseline
    AnimationPoints(ctr, 15) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 0    'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.87 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 251  'Mag Baseline
    AnimationPoints(ctr, 23) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 0    'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.13 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 594   'Xo
    AnimationPoints(ctr, 2) = 192   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 180   'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 187   'Mag Baseline
    AnimationPoints(ctr, 7) = 0     'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.8  'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 137  'Mag Baseline
    AnimationPoints(ctr, 15) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 0    'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.09 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 128  'Mag Baseline
    AnimationPoints(ctr, 23) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 0    'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.79 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 244   'Xo
    AnimationPoints(ctr, 2) = 348   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 90     'Qo
    AnimationPoints(ctr, 5) = -1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 172   'Mag Baseline
    AnimationPoints(ctr, 7) = 0     'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.03 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 248  'Mag Baseline
    AnimationPoints(ctr, 15) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 0    'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 177  'Mag Baseline
    AnimationPoints(ctr, 23) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 0    'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
    
  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 109   'Xo
    AnimationPoints(ctr, 2) = 290   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 270   'Qo
    AnimationPoints(ctr, 5) = -1    'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 248   'Mag Baseline
    AnimationPoints(ctr, 7) = 0     'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.75 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 224  'Mag Baseline
    AnimationPoints(ctr, 15) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 0    'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.83 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 214  'Mag Baseline
    AnimationPoints(ctr, 23) = 0    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 0    'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
End Sub

Private Sub Animation02()
  'Define Series & Path initially - even if user accidentally changes while animation is being created, it
  'won't affect the animation.
  SeriesText = "Animation02"
  FormMain.TextSeries.Text = SeriesText
  PathText = FormMain.TextPath.Text
  
  ctr = 0
  
  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 581   'Xo
    AnimationPoints(ctr, 2) = 224   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 0     'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 227   'Mag Baseline
    AnimationPoints(ctr, 7) = 20    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 152  'Mag Baseline
    AnimationPoints(ctr, 15) = 50   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 45   'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.87 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 251  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 180  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.13 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 594   'Xo
    AnimationPoints(ctr, 2) = 192   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 180   'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 187   'Mag Baseline
    AnimationPoints(ctr, 7) = 30    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 270   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.8  'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 137  'Mag Baseline
    AnimationPoints(ctr, 15) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.09 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 128  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 270  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.79 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 244   'Xo
    AnimationPoints(ctr, 2) = 348   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 90     'Qo
    AnimationPoints(ctr, 5) = -1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 172   'Mag Baseline
    AnimationPoints(ctr, 7) = 15    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 120   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.03 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 248  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 177  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 300  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
    
  '************************************************************************************************************
  'Define a Frame
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 109   'Xo
    AnimationPoints(ctr, 2) = 290   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 270   'Qo
    AnimationPoints(ctr, 5) = -1    'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 248   'Mag Baseline
    AnimationPoints(ctr, 7) = 50    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 45    'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.75 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 224  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 135  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.83 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 214  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 225  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
End Sub

Private Sub Animation04()
  '************************************************************************************************************
  '************************************************************************************************************
  'Set Animation Variables
  '************************************************************************************************************
  '************************************************************************************************************
  NumberPoints = 18
  NumberFrames = 60
  ReDim AnimationPoints(NumberPoints, 33)
  ReDim Points(NumberPoints, 9)
  
  'Define Series & Path initially - even if user accidentally changes while animation is being created, it
  'won't affect the animation.
  SeriesText = "Animation04"
  FormMain.TextSeries.Text = SeriesText
  PathText = FormMain.TextPath.Text
  
  ctr = 0
  
  '************************************************************************************************************
  'Define a Frame 1
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 581   'Xo
    AnimationPoints(ctr, 2) = 224   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 0     'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 227   'Mag Baseline
    AnimationPoints(ctr, 7) = 20    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 152  'Mag Baseline
    AnimationPoints(ctr, 15) = 50   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 45   'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.87 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 251  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 180  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.13 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 2
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 594   'Xo
    AnimationPoints(ctr, 2) = 192   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 180   'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 187   'Mag Baseline
    AnimationPoints(ctr, 7) = 30    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 270   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.8  'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 137  'Mag Baseline
    AnimationPoints(ctr, 15) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.09 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 128  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 270  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.79 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 3
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 244   'Xo
    AnimationPoints(ctr, 2) = 348   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 90     'Qo
    AnimationPoints(ctr, 5) = -1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 172   'Mag Baseline
    AnimationPoints(ctr, 7) = 15    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 120   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.03 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 248  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 177  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 300  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
    
  '************************************************************************************************************
  'Define a Frame 4
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 109   'Xo
    AnimationPoints(ctr, 2) = 290   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 270   'Qo
    AnimationPoints(ctr, 5) = -1    'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 248   'Mag Baseline
    AnimationPoints(ctr, 7) = 50    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 45    'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.75 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 224  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 135  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.83 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 214  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 225  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 5
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 145   'Xo
    AnimationPoints(ctr, 2) = 162   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 0     'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 191   'Mag Baseline
    AnimationPoints(ctr, 7) = 20    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.91 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 162  'Mag Baseline
    AnimationPoints(ctr, 15) = 50   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 45   'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.88 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 224  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 180  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1#   'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 6
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 549   'Xo
    AnimationPoints(ctr, 2) = 551   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 180   'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 199   'Mag Baseline
    AnimationPoints(ctr, 7) = 30    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 270   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.06 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 197  'Mag Baseline
    AnimationPoints(ctr, 15) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.92 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 133  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 270  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.17 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 7
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 480   'Xo
    AnimationPoints(ctr, 2) = 588   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 90     'Qo
    AnimationPoints(ctr, 5) = -1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 187   'Mag Baseline
    AnimationPoints(ctr, 7) = 15    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 120   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.18 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 134  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 168  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 300  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.03 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
    
  '************************************************************************************************************
  'Define a Frame 8
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 216   'Xo
    AnimationPoints(ctr, 2) = 549   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 270   'Qo
    AnimationPoints(ctr, 5) = -1    'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 169   'Mag Baseline
    AnimationPoints(ctr, 7) = 50    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 45    'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.95 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 250  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 135  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.98 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 207  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 225  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.78 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 9
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 46    'Xo
    AnimationPoints(ctr, 2) = 83    'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 0     'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 179   'Mag Baseline
    AnimationPoints(ctr, 7) = 20    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 254  'Mag Baseline
    AnimationPoints(ctr, 15) = 50   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 45   'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.08 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 161  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 180  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.03 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 10
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 671   'Xo
    AnimationPoints(ctr, 2) = 310   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 180   'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 204   'Mag Baseline
    AnimationPoints(ctr, 7) = 30    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 270   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.96 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 248  'Mag Baseline
    AnimationPoints(ctr, 15) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.84 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 167  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 270  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.03 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 11
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 408   'Xo
    AnimationPoints(ctr, 2) = 523   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 90     'Qo
    AnimationPoints(ctr, 5) = -1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 247   'Mag Baseline
    AnimationPoints(ctr, 7) = 15    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 120   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.08 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 156  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.8  'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 141  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 300  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.99 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
    
  '************************************************************************************************************
  'Define a Frame 12
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 381   'Xo
    AnimationPoints(ctr, 2) = 286   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 270   'Qo
    AnimationPoints(ctr, 5) = -1    'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 140   'Mag Baseline
    AnimationPoints(ctr, 7) = 50    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 45    'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.11 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 164  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 135  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.9  'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 223  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 225  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 13
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 132   'Xo
    AnimationPoints(ctr, 2) = 336   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 0     'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 244   'Mag Baseline
    AnimationPoints(ctr, 7) = 20    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 0.77 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 129  'Mag Baseline
    AnimationPoints(ctr, 15) = 50   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 45   'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.83 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 206  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 180  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.01 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 14
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 411   'Xo
    AnimationPoints(ctr, 2) = 480   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 180   'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 233   'Mag Baseline
    AnimationPoints(ctr, 7) = 30    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 270   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.09 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 129  'Mag Baseline
    AnimationPoints(ctr, 15) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.19 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 234  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 270  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.77 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 15
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 384   'Xo
    AnimationPoints(ctr, 2) = 499   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 90     'Qo
    AnimationPoints(ctr, 5) = -1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 185   'Mag Baseline
    AnimationPoints(ctr, 7) = 15    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 120   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 191  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.78 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 219  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 300  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
    
  '************************************************************************************************************
  'Define a Frame 16
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 426   'Xo
    AnimationPoints(ctr, 2) = 444   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 270   'Qo
    AnimationPoints(ctr, 5) = -1    'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 130   'Mag Baseline
    AnimationPoints(ctr, 7) = 50    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 45    'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 180  'Mag Baseline
    AnimationPoints(ctr, 15) = 60   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 135  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.85 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 219  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 225  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 17
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 129   'Xo
    AnimationPoints(ctr, 2) = 339   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 0     'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 244   'Mag Baseline
    AnimationPoints(ctr, 7) = 20    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 0     'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.01 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 141  'Mag Baseline
    AnimationPoints(ctr, 15) = 50   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 45   'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 0.85 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 251  'Mag Baseline
    AnimationPoints(ctr, 23) = 10   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 180  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.84 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N

  '************************************************************************************************************
  'Define a Frame 18
  ctr = ctr + 1
  'Circular Motion Variables
    AnimationPoints(ctr, 1) = 293   'Xo
    AnimationPoints(ctr, 2) = 479   'Yo
    AnimationPoints(ctr, 3) = 200   'R
    AnimationPoints(ctr, 4) = 180   'Qo
    AnimationPoints(ctr, 5) = 1     'N - number revolutions per animation
  'Red Color Variables
    AnimationPoints(ctr, 6) = 148   'Mag Baseline
    AnimationPoints(ctr, 7) = 30    'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 8) = 270   'Mag Qo
    AnimationPoints(ctr, 9) = 1     'Mag N
    AnimationPoints(ctr, 10) = 1.22 'Scalar Baseline
    AnimationPoints(ctr, 11) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 12) = 0    'Scalar Qo
    AnimationPoints(ctr, 13) = 1    'Scalar N
  'Green Color Variables
    AnimationPoints(ctr, 14) = 130  'Mag Baseline
    AnimationPoints(ctr, 15) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 16) = 210  'Mag Qo
    AnimationPoints(ctr, 17) = 1    'Mag N
    AnimationPoints(ctr, 18) = 1.16 'Scalar Baseline
    AnimationPoints(ctr, 19) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 20) = 0    'Scalar Qo
    AnimationPoints(ctr, 21) = 1    'Scalar N
  'Blue Color Variables
    AnimationPoints(ctr, 22) = 227  'Mag Baseline
    AnimationPoints(ctr, 23) = 30   'Mag Ampl 1/2 Variation
    AnimationPoints(ctr, 24) = 270  'Mag Qo
    AnimationPoints(ctr, 25) = 1    'Mag N
    AnimationPoints(ctr, 26) = 0.76 'Scalar Baseline
    AnimationPoints(ctr, 27) = 0    'Scalar Ampl 1/2 Variation
    AnimationPoints(ctr, 28) = 0    'Scalar Qo
    AnimationPoints(ctr, 29) = 1    'Scalar N
   'Power
    AnimationPoints(ctr, 30) = 0    'Baseline
    AnimationPoints(ctr, 31) = 0    'Ampl 1/2 Variation
    AnimationPoints(ctr, 32) = 0    'Qo
    AnimationPoints(ctr, 33) = 1    'N
End Sub
