Attribute VB_Name = "ModuleUnusedCode"
'This module doesn't actually do anything.  None of this code is ever run.  These are the old modules that were used
'to create gradient patterns.  They are saved here for archiving purposes only.

Public Sub DrawRandomCirclesPowerMethod(DstPicture As PictureBox, SrcPicture As PictureBox, ByVal Brightness As Single)
    'Coordinate variables
    Dim x As Long, y As Long
    Dim xTemp As Single
    Dim yTemp As Single
    Dim red As Integer
    Dim green As Integer
    Dim blue As Integer
    Dim RedTemp As Single
    Dim GreenTemp As Single
    Dim BlueTemp As Single
    Dim RedScalar As Single
    Dim RedX As Single
    Dim RedY As Single
    Dim GreenScalar As Single
    Dim GreenX As Single
    Dim GreenY As Single
    Dim BlueScalar As Single
    Dim BlueX As Single
    Dim BlueY As Single
    
    Dim NumberPoints As Long
    Dim MaxPoints As Long
    Dim MinPoints As Long
    Dim ctr As Long
    
    Dim MinXLimit As Single
    Dim MaxXLimit As Single
    Dim MinYLimit As Single
    Dim MaxYLimit As Single
    Dim MinScalarLimit As Single
    Dim MaxScalarLimit As Single
    Dim MinMagLimit As Single
    Dim MaxMagLimit As Single
    
    Dim TempColor As Single
    Dim Dist As Single
    Dim Power As Single
    
    Dim Points() As Single
    
    Randomize Timer
    
    MinXLimit = TextPowerMinX.Text
    MaxXLimit = TextPowerMaxX.Text
    MinYLimit = TextPowerMinY.Text
    MaxYLimit = TextPowerMaxY.Text
    
    Power = TextPowerPower.Text
    
    MinScalarLimit = TextPowerMinScalar.Text ^ Power
    MaxScalarLimit = TextPowerMaxScalar.Text ^ Power
    MinMagLimit = TextPowerMinMag.Text
    MaxMagLimit = TextPowerMaxMag.Text
    
    MaxPoints = TextPowerMaxPoints.Text
    NumberPoints = (TextPowerMaxPoints.Text - TextPowerMinPoints.Text) * Rnd + TextPowerMinPoints.Text
    
    ReDim Points(NumberPoints, 9) As Single
    
    TextDisplay.Text = "Number Points = " & Str(NumberPoints)
    
    For ctr = 1 To NumberPoints
      TextDisplay.Text = TextDisplay.Text & vbCrLf & vbCrLf & "Point " & Str(ctr)
      'Method Type
      Points(ctr, 0) = 1 '1 for Power Method, 2 for Linear Method
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Method       = Power"
      'X Coord
      Points(ctr, 1) = (MaxXLimit - MinXLimit) * Rnd + MinXLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "XCoord       = " & Str(Points(ctr, 1))
      'Y Coord
      Points(ctr, 2) = (MaxYLimit - MinYLimit) * Rnd + MinYLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "YCoord       = " & Str(Points(ctr, 2))
      'Red Mag
      Points(ctr, 3) = (MaxMagLimit - MinMagLimit) * Rnd + MinMagLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Green Mag    = " & Str(Points(ctr, 3))
      'Green Mag
      Points(ctr, 4) = (MaxMagLimit - MinMagLimit) * Rnd + MinMagLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Red Mag      = " & Str(Points(ctr, 4))
      'Blue Mag
      Points(ctr, 5) = (MaxMagLimit - MinMagLimit) * Rnd + MinMagLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Blue Mag     = " & Str(Points(ctr, 5))
      'Red Scalar
      Points(ctr, 6) = (MaxScalarLimit - MinScalarLimit) * Rnd + MinScalarLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Red Scalar   = " & Str(Points(ctr, 6))
      'Green Scalar
      Points(ctr, 7) = (MaxScalarLimit - MinScalarLimit) * Rnd + MinScalarLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Green Scalar = " & Str(Points(ctr, 7))
      'Blue Scalar
      Points(ctr, 8) = (MaxScalarLimit - MinScalarLimit) * Rnd + MinScalarLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Blue Scalar  = " & Str(Points(ctr, 8))
      'Power - for now will be a constant
      Points(ctr, 9) = Power
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Power        = " & Str(Points(ctr, 9))
    
    Next ctr
    
    TextDisplay.Text = TextDisplay.Text & vbCrLf & vbCrLf & "END"
    
    'Get the pixel data into our ImageData array
    GetImageData SrcPicture, ImageData()
    'Temporary width and height variables are faster than accessing the Scale properties over and over again
    Dim TempWidth As Long, TempHeight As Long
    TempWidth = DstPicture.ScaleWidth - 1
    TempHeight = DstPicture.ScaleHeight - 1
    
        'run a loop through the picture to change every pixel
    For x = 0 To TempWidth
      Text1.Text = Str(x)
      DoEvents
      For y = 0 To TempHeight
        
        xTemp = x
        yTemp = y

        RedTemp = 0
        GreenTemp = 0
        BlueTemp = 0

        For ctr = 1 To NumberPoints
          'Red
          Dist = Sqr((xTemp - Points(ctr, 1)) * (xTemp - Points(ctr, 1)) + (yTemp - Points(ctr, 2)) * (yTemp - Points(ctr, 2)))
          Power = Points(ctr, 9)
          If Dist > 0 Then
            'Red
            TempColor = Points(ctr, 3) * Points(ctr, 6) / Dist ^ Power
            RedTemp = RedTemp + TempColor
          
            'Green
            TempColor = Points(ctr, 4) * Points(ctr, 7) / Dist ^ Power
            GreenTemp = GreenTemp + TempColor
            
            'Blue
            TempColor = Points(ctr, 5) * Points(ctr, 8) / Dist ^ Power
            BlueTemp = BlueTemp + TempColor
          Else
            RedTemp = RedTemp + Points(ctr, 3)
            GreenTemp = GreenTemp + Points(ctr, 4)
            BlueTemp = BlueTemp + Points(ctr, 5)
          End If
        Next ctr
        
        If RedTemp > 255 Then
          RedTemp = 255
        End If
        
        If GreenTemp > 255 Then
          GreenTemp = 255
        End If
        
        If BlueTemp > 255 Then
          BlueTemp = 255
        End If
        
        red = Int(RedTemp)
        green = Int(GreenTemp)
        blue = Int(BlueTemp)
        
        ImageData(2, x, y) = red   'Change the red
        ImageData(1, x, y) = green   'Change the green
        ImageData(0, x, y) = blue   'Change the blue
      Next y
      'refresh the picture box every 25 lines (a nice progress bar effect if AutoRedraw is set)
      If (x Mod 25) = 0 Then SetImageData DstPicture, ImageData()
    Next x
    'final picture refresh
    SetImageData DstPicture, ImageData()
End Sub

Public Sub DrawRandomCirclesLinearMethod(DstPicture As PictureBox, SrcPicture As PictureBox, ByVal Brightness As Single)
    'Defines variables, creates list for text box, then calls the general routine to draw the image
    
    'Coordinate variables
    Dim x As Long, y As Long
    Dim xTemp As Single
    Dim yTemp As Single
    Dim red As Integer
    Dim green As Integer
    Dim blue As Integer
    Dim RedTemp As Single
    Dim GreenTemp As Single
    Dim BlueTemp As Single
    Dim RedScalar As Single
    Dim RedX As Single
    Dim RedY As Single
    Dim GreenScalar As Single
    Dim GreenX As Single
    Dim GreenY As Single
    Dim BlueScalar As Single
    Dim BlueX As Single
    Dim BlueY As Single
    
    Dim NumberPoints As Long
    Dim MaxPoints As Long
    Dim ctr As Long
    
    Dim MinXLimit As Single
    Dim MaxXLimit As Single
    Dim MinYLimit As Single
    Dim MaxYLimit As Single
    Dim MinScalarLimit As Single
    Dim MaxScalarLimit As Single
    Dim MinMagLimit As Single
    Dim MaxMagLimit As Single
    
    Dim TempColor As Single
    Dim Dist As Single
    
    Dim Points() As Single
    
    Randomize Timer
    
    MinXLimit = TextLinMinx.Text
    MaxXLimit = TextLinMaxX.Text
    MinYLimit = TextLinMinY.Text
    MaxYLimit = TextLinMaxY.Text
    
    MinScalarLimit = TextLinMinScalar.Text
    MaxScalarLimit = TextLinMaxScalar.Text
    MinMagLimit = TextLinMinMag.Text
    MaxMagLimit = TextLinMaxMag.Text
    
    MaxPoints = TextLinMaxPoints.Text
    NumberPoints = (TextLinMaxPoints.Text - TextLinMinPoints.Text) * Rnd + TextLinMinPoints.Text
    
    ReDim Points(NumberPoints, 9) As Single
    
    TextDisplay.Text = "Number Points = " & Str(NumberPoints)
    TextDisplay.Text = TextDisplay.Text & vbCrLf & "Frame         = " & TextFrame.Text
    TextDisplay.Text = TextDisplay.Text & vbCrLf & "Series        = " & TextSeries.Text
    TextDisplay.Text = TextDisplay.Text & vbCrLf & "Path          = " & TextPath.Text
    
    
    For ctr = 1 To NumberPoints
      TextDisplay.Text = TextDisplay.Text & vbCrLf & vbCrLf & "Point" & Str(ctr)
      'Method Type
      Points(ctr, 0) = 2 '1 for Power Method, 2 for Linear Method
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Method       = Linear"
      'X Coord
      Points(ctr, 1) = (MaxXLimit - MinXLimit) * Rnd + MinXLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "XCoord       = " & Str(Points(ctr, 1))
      'Y Coord
      Points(ctr, 2) = (MaxYLimit - MinYLimit) * Rnd + MinYLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "YCoord       = " & Str(Points(ctr, 2))
      'Red Mag
      Points(ctr, 3) = (MaxMagLimit - MinMagLimit) * Rnd + MinMagLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Green Mag    = " & Str(Points(ctr, 3))
      'Green Mag
      Points(ctr, 4) = (MaxMagLimit - MinMagLimit) * Rnd + MinMagLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Red Mag      = " & Str(Points(ctr, 4))
      'Blue Mag
      Points(ctr, 5) = (MaxMagLimit - MinMagLimit) * Rnd + MinMagLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Blue Mag     = " & Str(Points(ctr, 5))
      'Red Scalar
      Points(ctr, 6) = (MaxScalarLimit - MinScalarLimit) * Rnd + MinScalarLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Red Scalar   = " & Str(Points(ctr, 6))
      'Green Scalar
      Points(ctr, 7) = (MaxScalarLimit - MinScalarLimit) * Rnd + MinScalarLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Green Scalar = " & Str(Points(ctr, 7))
      'Blue Scalar
      Points(ctr, 8) = (MaxScalarLimit - MinScalarLimit) * Rnd + MinScalarLimit
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Blue Scalar  = " & Str(Points(ctr, 8))
      'Power - not used for linear
      Points(ctr, 9) = 0
      TextDisplay.Text = TextDisplay.Text & vbCrLf & "Power        =  0"
    
    Next ctr
    
    TextDisplay.Text = TextDisplay.Text & vbCrLf & vbCrLf & "END"
    
    'Get the pixel data into our ImageData array
    GetImageData SrcPicture, ImageData()
    'Temporary width and height variables are faster than accessing the Scale properties over and over again
    Dim TempWidth As Long, TempHeight As Long
    TempWidth = DstPicture.ScaleWidth - 1
    TempHeight = DstPicture.ScaleHeight - 1
    
    'run a loop through the picture to change every pixel
    For x = 0 To TempWidth
      Text1.Text = Str(x)
      DoEvents
      For y = 0 To TempHeight
        xTemp = x
        yTemp = y

        RedTemp = 0
        GreenTemp = 0
        BlueTemp = 0

        For ctr = 1 To NumberPoints
          Dist = Sqr((xTemp - Points(ctr, 1)) * (xTemp - Points(ctr, 1)) + (yTemp - Points(ctr, 2)) * (yTemp - Points(ctr, 2)))

          'Red
          TempColor = Points(ctr, 3) - Points(ctr, 6) * Dist
          If TempColor < 0 Then
            TempColor = 0
          End If
          RedTemp = RedTemp + TempColor
          
          'Green
          TempColor = Points(ctr, 4) - Points(ctr, 7) * Dist
          If TempColor < 0 Then
            TempColor = 0
          End If
          GreenTemp = GreenTemp + TempColor
          
          'Blue
          TempColor = Points(ctr, 5) - Points(ctr, 8) * Dist
          If TempColor < 0 Then
            TempColor = 0
          End If
          BlueTemp = BlueTemp + TempColor
          
        Next ctr
        
        If RedTemp > 255 Then
          RedTemp = 255
        ElseIf RedTemp < 0 Then
          RedTemp = 0
        End If
        
        If GreenTemp > 255 Then
          GreenTemp = 255
        ElseIf GreenTemp < 0 Then
          GreenTemp = 0
        End If
        
        If BlueTemp > 255 Then
          BlueTemp = 255
        ElseIf BlueTemp < 0 Then
          BlueTemp = 0
        End If
        
        red = Int(RedTemp)
        green = Int(GreenTemp)
        blue = Int(BlueTemp)
        
        'If x < 255 Then
        '  red = x
        'Else
        '  red = 255
        'End If
        
        'If y < 255 Then
        '  green = y
        'Else
        '  green = 255
        'End If

        'blue = 0
        
        ImageData(2, x, y) = red   'Change the red
        ImageData(1, x, y) = green   'Change the green
        ImageData(0, x, y) = blue   'Change the blue
      Next y
      'refresh the picture box every 25 lines (a nice progress bar effect if AutoRedraw is set)
      If (x Mod 25) = 0 Then SetImageData DstPicture, ImageData()
    Next x
    'final picture refresh
    SetImageData DstPicture, ImageData()
End Sub
